Translations
Get a Study translation
Returns the translated content for a single locale.
GET
/
v2
/
studies
/
{studyId}
/
translations
/
{locale}
Get a Study translation
curl --request GET \
--url https://api.sprig.com/v2/studies/{studyId}/translations/{locale} \
--header 'Authorization: <api-key>'import requests
url = "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sprig.com/v2/studies/{studyId}/translations/{locale}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sprig.com/v2/studies/{studyId}/translations/{locale}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sprig.com/v2/studies/{studyId}/translations/{locale}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"locale": "<string>",
"questions": [
{
"question": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"title": {
"html": "<string>",
"variables": {}
},
"description": {
"html": "<string>",
"variables": {}
},
"footer": {
"html": "<string>",
"variables": {}
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"columns": [
{
"value": "<string>",
"label": "<string>"
}
],
"lowEndLabel": "<string>",
"highEndLabel": "<string>",
"buttonLabel": "<string>",
"skipButtonLabel": "<string>",
"inputTextPlaceholder": "<string>",
"validationErrorMessage": "<string>",
"dropdownPlaceholder": "<string>",
"dropdownMultiselectText": "<string>",
"otherOptionPlaceholder": "<string>",
"noneOptionLabel": "<string>",
"checkboxText": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}Authorizations
Use API-Key YOUR_API_KEY. The key selects the Production or Development environment.
Path Parameters
One BCP 47 locale token.
Required string length:
2 - 35Pattern:
^[A-Za-z]{2,3}(?:-[A-Za-z0-9]{2,8})*$Was this page helpful?
⌘I
Get a Study translation
curl --request GET \
--url https://api.sprig.com/v2/studies/{studyId}/translations/{locale} \
--header 'Authorization: <api-key>'import requests
url = "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sprig.com/v2/studies/{studyId}/translations/{locale}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sprig.com/v2/studies/{studyId}/translations/{locale}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sprig.com/v2/studies/{studyId}/translations/{locale}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"locale": "<string>",
"questions": [
{
"question": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"title": {
"html": "<string>",
"variables": {}
},
"description": {
"html": "<string>",
"variables": {}
},
"footer": {
"html": "<string>",
"variables": {}
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"columns": [
{
"value": "<string>",
"label": "<string>"
}
],
"lowEndLabel": "<string>",
"highEndLabel": "<string>",
"buttonLabel": "<string>",
"skipButtonLabel": "<string>",
"inputTextPlaceholder": "<string>",
"validationErrorMessage": "<string>",
"dropdownPlaceholder": "<string>",
"dropdownMultiselectText": "<string>",
"otherOptionPlaceholder": "<string>",
"noneOptionLabel": "<string>",
"checkboxText": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}